package mob

import (
	"lab.zaar.be/thefish/alchemyst-go/engine/ecs"
	"lab.zaar.be/thefish/alchemyst-go/engine/types"
)

type Mob struct {
	types.Appearance
	types.Coords
	ecs.Named
	BlocksPass bool
}

func (m *Mob) Render() {

}

func (mob Mob) Type() string {
	return ecs.MobComponent
}